(in-package 'user)


(setf *FEATURE-NAMES*
  '(DURATION WAGE_INCREASE_FIRST_YEAR WAGE_INCREASE_SECOND_YEAR
    WAGE_INCREASE_THIRD_YEAR COST_OF_LIVING_ADJUSTMENT WORKING_HOURS PENSION
    STANDBY_PAY SHIFT_DIFFERENTIAL EDUCATION_ALLOWANCE STATUTORY_HOLIDAYS
    VACATION LONGTERM_DISABILITY_ASSISTANCE CONTRIBUTION_TO_DENTAL_PLAN
    BEREAVEMENT_ASSISTANCE CONTRIBUTION_TO_HEALTH_PLAN))

(setf *DOMAINS*
  '(LINEAR LINEAR LINEAR LINEAR (NONE TCF TC) LINEAR (NONE RET_ALLW EMPL_CONTR)
    LINEAR LINEAR (YES NO) LINEAR (BELOW_AVERAGE AVERAGE GENEROUS) (YES NO)
    (NONE HALF FULL) (YES NO) (NONE HALF FULL)))

(setf *CATEGORIES*
  '(GOOD BAD))

(setf *raw-examples* '(
  (GOOD #(1 5.0 ? ? ? 40 ? ? 2 ? 11 AVERAGE ? ? YES ?))
  (GOOD #(2 4.5 5.8 ? ? 35 RET_ALLW ? ? YES 11 BELOW_AVERAGE ? FULL ? FULL))
  (GOOD #(? ? ? ? ? 38 EMPL_CONTR ? 5 ? 11 GENEROUS YES HALF YES HALF))
  (GOOD #(3 3.7 4.0 5.0 TC ? ? ? ? YES ? ? ? ? YES ?))
  (GOOD #(3 4.5 4.5 5.0 ? 40 ? ? ? ? 12 AVERAGE ? HALF YES HALF))
  (GOOD #(2 2.0 2.5 ? ? 35 ? ? 6 YES 12 AVERAGE ? ? ? ?))
  (GOOD #(3 4.0 5.0 5.0 TC ? EMPL_CONTR ? ? ? 12 GENEROUS YES NONE YES HALF))
  (GOOD #(3 6.9 4.8 2.3 ? 40 ? ? 3 ? 12 BELOW_AVERAGE ? ? ? ?))
  (GOOD #(2 3.0 7.0 ? ? 38 ? 12 25 YES 11 BELOW_AVERAGE YES HALF YES ?))
  (GOOD #(1 5.7 ? ? NONE 40 EMPL_CONTR ? 4 ? 11 GENEROUS YES FULL ? ?))
  (GOOD #(3 3.5 4.0 4.6 NONE 36 ? ? 3 ? 13 GENEROUS ? ? YES FULL))
  (GOOD #(2 6.4 6.4 ? ? 38 ? ? 4 ? 15 ? ? FULL ? ?))
  (BAD #(2 3.5 4.0 ? NONE 40 ? ? 2 NO 10 BELOW_AVERAGE NO HALF ? HALF))
  (GOOD #(3 3.5 4.0 5.1 TCF 37 ? ? 4 ? 13 GENEROUS ? FULL YES FULL))
  (GOOD #(1 3.0 ? ? NONE 36 ? ? 10 NO 11 GENEROUS ? ? ? ?))
  (GOOD #(2 4.5 4.0 ? NONE 37 EMPL_CONTR ? ? ? 11 AVERAGE ? FULL YES ?))
  (GOOD #(1 2.8 ? ? ? 35 ? ? 2 ? 12 BELOW_AVERAGE ? ? ? ?))
  (BAD #(1 2.1 ? ? TC 40 RET_ALLW 2 3 NO 9 BELOW_AVERAGE YES HALF ? NONE))
  (BAD #(1 2.0 ? ? NONE 38 NONE ? ? YES 11 AVERAGE NO NONE NO NONE))
  (GOOD #(2 4.0 5.0 ? TCF 35 ? 13 5 ? 15 GENEROUS ? ? ? ?))
  (GOOD #(2 4.3 4.4 ? ? 38 ? ? 4 ? 12 GENEROUS ? FULL ? FULL))
  (BAD #(2 2.5 3.0 ? ? 40 NONE ? ? ? 11 BELOW_AVERAGE ? ? ? ?))
  (GOOD #(3 3.5 4.0 4.6 TCF 27 ? ? ? ? ? ? ? ? ? ?))
  (GOOD #(2 4.5 4.0 ? ? 40 ? ? 4 ? 10 GENEROUS ? HALF ? FULL))
  (GOOD #(1 6.0 ? ? ? 38 ? 8 3 ? 9 GENEROUS ? ? ? ?))
  (BAD #(3 2.0 2.0 2.0 NONE 40 NONE ? ? ? 10 BELOW_AVERAGE ? HALF YES FULL))
  (GOOD #(2 4.5 4.5 ? TCF ? ? ? ? YES 10 BELOW_AVERAGE YES NONE ? HALF))
  (GOOD #(2 3.0 3.0 ? NONE 33 ? ? ? YES 12 GENEROUS ? ? YES FULL))
  (GOOD #(2 5.0 4.0 ? NONE 37 ? ? 5 NO 11 BELOW_AVERAGE YES FULL YES FULL))
  (BAD #(3 2.0 2.5 ? ? 35 NONE ? ? ? 10 AVERAGE ? ? YES FULL))
  (GOOD #(3 4.5 4.5 5.0 NONE 40 ? ? ? NO 11 AVERAGE ? HALF ? ?))
  (BAD #(3 3.0 2.0 2.5 TC 40 NONE ? 5 NO 10 BELOW_AVERAGE YES HALF YES FULL))
  (BAD #(2 2.5 2.5 ? ? 38 EMPL_CONTR ? ? ? 10 AVERAGE ? ? ? ?))
  (BAD #(2 4.0 5.0 ? NONE 40 NONE ? 3 NO 10 BELOW_AVERAGE NO NONE ? NONE))
  (BAD #(3 2.0 2.5 2.1 TC 40 NONE 2 1 NO 10 BELOW_AVERAGE NO HALF YES FULL))
  (BAD #(2 2.0 2.0 ? NONE 40 NONE ? ? NO 11 AVERAGE YES NONE YES FULL))
  (BAD #(1 2.0 ? ? TC 40 RET_ALLW 4 0 NO 11 GENEROUS NO NONE NO NONE))
  (BAD #(1 2.8 ? ? NONE 38 EMPL_CONTR 2 3 NO 9 BELOW_AVERAGE YES HALF ? NONE))
  (BAD #(3 2.0 2.5 2.0 ? 37 EMPL_CONTR ? ? ? 10 AVERAGE ? ? YES NONE))
  (GOOD #(2 4.5 4.0 ? NONE 40 ? ? 4 ? 12 AVERAGE YES FULL YES HALF))
  (BAD #(1 4.0 ? ? NONE ? NONE ? ? YES 11 AVERAGE NO NONE NO NONE))
  (BAD #(2 2.0 3.0 ? NONE 38 EMPL_CONTR ? ? YES 12 GENEROUS YES NONE YES FULL))
  (BAD #(2 2.5 2.5 ? TC 39 EMPL_CONTR ? ? ? 12 AVERAGE ? ? YES ?))
  (BAD #(2 2.5 3.0 ? TCF 40 NONE ? ? ? 11 BELOW_AVERAGE ? ? YES ?))
  (BAD #(2 4.0 4.0 ? NONE 40 NONE ? 3 ? 10 BELOW_AVERAGE NO NONE ? NONE))
  (BAD #(2 4.5 4.0 ? ? 40 ? ? 2 NO 10 BELOW_AVERAGE NO HALF ? HALF))
  (GOOD #(2 4.5 4.0 ? NONE 40 ? ? 5 ? 11 AVERAGE ? FULL YES FULL))
  (GOOD #(2 4.6 4.6 ? TCF 38 ? ? ? ? ? ? YES HALF ? HALF))
  (GOOD #(2 5.0 4.5 ? NONE 38 ? 14 5 ? 11 BELOW_AVERAGE YES ? ? FULL))
  (GOOD #(2 5.7 4.5 ? NONE 40 RET_ALLW ? ? ? 11 AVERAGE YES FULL YES FULL))
  (GOOD #(2 7.0 5.3 ? ? ? ? ? ? ? 11 ? YES FULL ? ?))
  (GOOD #(3 2.0 3.0 ? TCF ? EMPL_CONTR ? ? YES ? ? YES HALF YES ?))
  (GOOD #(3 3.5 4.0 4.5 TCF 35 ? ? ? ? 13 GENEROUS ? ? YES FULL))
  (GOOD #(3 4.0 3.5 ? NONE 40 EMPL_CONTR ? 6 ? 11 AVERAGE YES FULL ? FULL))
  (GOOD #(3 5.0 4.4 ? NONE 38 EMPL_CONTR 10 6 ? 11 GENEROUS YES ? ? FULL))
  (GOOD #(3 5.0 5.0 5.0 ? 40 ? ? ? ? 12 AVERAGE ? HALF YES HALF))
  (GOOD #(3 6.0 6.0 4.0 ? 35 ? ? 14 ? 9 GENEROUS YES FULL YES FULL))
))